#ifndef MODELCREATOR_H
#define MODELCREATOR_H

#include <QtGui/QMainWindow>

namespace Ui
{
    class modelCreator;
}

class ModelCreator : public QMainWindow
{
    Q_OBJECT

public:
    ModelCreator(QWidget *parent = 0);
    ~ModelCreator();
    void loadShader(QString &file);
    void loadMaterial(QString &material);
    void loadModel(QString &model);

private:
    Ui::modelCreator *ui;

public slots:
    void surfaceNameSelect();
    void materialFileSelect();
    void enableBumpMap(int);
    void enableNormalMap(int);
    void saveModel();
    void loadShader();
    void saveShader();


private slots:
    void on_actionSave_As_triggered();
    void on_action_Create_triggered();
    void on_action_Open_triggered();


signals:
    void setBasePath(QString);
    void setSurfaceName(QString);
    void setMaterialFile(QString);

};

#endif // MODELCREATOR_H
